package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.tzhl.service.airport.TZHLGetAirportListService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Service
public class GetAirportListService {

    @Autowired
    private TZHLGetAirportListService tzhlGetAirportListService;

    public JsonResult getAirportList() {
        List<Long> ids = new ArrayList<>();
        ids.add(null);
        //读取全量机场列表数据
        JsonResult result = tzhlGetAirportListService.getAirportList(ids);

        if(result.getCode() != 0){
            return JsonResult.error(result.getMsg());
        }

        return result;

    }

}
